package com.scpyun.platform.jilinsscgsdp.bean.vo;

import com.scpyun.base.bean.User;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;

/**
 * @Author liu
 * @Date 2024/8/20 10:53
 * @PackageName:com.scpyun.platform.jilinsscgsdp.bean.vo
 * @ClassName: ReqEventOpinionVo
 * @Description: TODO
 * @Version 1.0
 */
public class ReqEventOpinionInsertVo {
    /**
     * 事件id
     */
    @NotNull(message = "事件id不可为空")
    private String eventId;
    /**
     * 处置意见
     */
    @NotNull(message = "意见不可为空")
    @Length(min = 1, max = 255, message = "字数不可超过255")
    private String opinion;

    private User _user;

    public String getEventId() {
        return eventId;
    }

    public void setEventId(String eventId) {
        this.eventId = eventId;
    }

    public String getOpinion() {
        return opinion;
    }

    public void setOpinion(String opinion) {
        this.opinion = opinion;
    }

    public User get_user() {
        return _user;
    }

    public void set_user(User _user) {
        this._user = _user;
    }
}
